package rmiimage;

import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

class ButtonControlPanel
        extends Panel implements ActionListener {
    Button updateButton = new Button("update");
    Button terminateButton = new Button("terminate");
    MainClientControl display;

    ButtonControlPanel(MainClientControl _display) {
        display = _display;
        setBackground(Color.white);
        add(updateButton);
        add(terminateButton);

        updateButton.addActionListener(this);
        terminateButton.addActionListener(this);
    }

    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == updateButton) {
            display.incrementCpus();
            return;
        }
        if (e.getSource() == terminateButton) {
            display.terminateCpus();
            return;
        }
    }

}



