package gui;

import java.awt.*;
import java.awt.event.ActionListener;

public class InfoFrame extends ClosableFrame {
    private TextArea
            ta = new TextArea(
                    "Enter Commands, separated by spaces, below\n" +
            "for example:\n negate fishEye\n", 10, 60,
                    TextArea.SCROLLBARS_BOTH);
    private TextField
            tf = new TextField();

    InfoFrame(ActionListener cli) {
        super(Globals.title + ":InfoFrame");
        ta.setEditable(false);
        add(ta, BorderLayout.CENTER);
        add(tf, BorderLayout.SOUTH);
        tf.addActionListener(cli);
        setVisible(true);
        pack();
    }

    public void print(Object s) {
        ta.append(s.toString());
    }

    public void println() {
        ta.append("\n");
    }

    public void println(Object s) {
        ta.append(s.toString() + "\n");
    }

}